=== debian/changelog ===
flickrdemo (0.1-1) unstable; urgency=low

  * Initial release 

 -- Antonio Aloisio <gnuton@gnuton.org>  Tue, 28 Apr 2009 22:20:54 +0300
